## opendune 0.3-1maemo2

=== Makefile ===
# Settings via env variables
#  CC          - Your C compiler
#  CFLAGS      - Your CFLAGS (we add a few we find essential)
#  LDFLAGS     - Your LDFLAGS
#  LIBS        - Which libs to include (we add a few we find essential)
#
#  Settings via parameters
#   OSX:=1     - To compile on/for OSX
#   WIN32:=1   - To compile on/for Windows
#   STATIC:=1  - If you want to compile static (default yes for WIN32)

CFLAGS := $(CFLAGS)
ifdef WIN32
CFLAGS := $(CFLAGS) -DWIN32
ifndef STATIC
STATIC := 1
endif
EXTENSION := .exe
LIB_EXTENSION := .dll
else
EXTENSION :=
ifdef OSX
LIB_EXTENSION := .dylib
else
LIB_EXTENSION := .so
endif
endif

ifdef STATIC
LIBS := $(LIBS) libemu.a
LIBEMU := libemu.a
else
LIBS := $(LIBS) ./libemu$(LIB_EXTENSION)
LIBEMU := libemu$(LIB_EXTENSION)
endif

ifdef OSX
ifdef STATIC
LDFLAGS := $(LDFLAGS) `sdl-config --static-libs`
else
LDFLAGS := $(LDFLAGS) `sdl-config --libs`
endif
else
LIBS := $(LIBS) -lSDL
ifdef WIN32
LIBS := $(LIBS) -lwinmm
endif
endif

CFLAGS := $(CFLAGS) -g -Wall -Wextra -Wno-unused-label -Wno-multichar
CFLAGS := $(CFLAGS) -ansi -pedantic
# We need -O1 and optimize-sibling-calls to avoid infinite loops we are
#  currently having. When all those cases are resolved, this can be removed.
CFLAGS := $(CFLAGS) -O1 -foptimize-sibling-calls
LDFLAGS := $(LDFLAGS) -g

HEADER := $(shell ls decompiled/*.h src/*.h src/*/*.h include/*.h 2>/dev/null)
DECOMPILED := $(shell ls decompiled/*.c 2>/dev/null)
DECOMPILED_OBJS := $(DECOMPILED:%.c=objs/%.o)
SOURCE := $(shell ls src/*.c src/*/*.c 2>/dev/null)
SOURCE_OBJS := $(SOURCE:%.c=objs/%.o)
RES := $(shell mkdir -p objs/decompiled objs/src)

ifdef VERBOSE
	Q =
else
	Q = @
endif

all: opendune$(EXTENSION)

objs/depend: tools/depend/depend.cpp
	@echo "[Compiling / Linking] depend"
	$(Q)$(CXX) $(LDFLAGS) -o $@ $^

ifeq ($(filter depend clean, $(MAKECMDGOALS)),)
-include Makefile.dep
endif

ifeq ($(filter depend, $(MAKECMDGOALS)),)
Makefile.dep: objs/depend $(SOURCE) $(DECOMPILED) $(HEADER)
else
Makefile.dep: objs/depend FORCE
endif
	@echo "[Dependency Check] All files"
	$(Q)objs/depend -fMakefile.dep.tmp -o.o -Y -v -- $(CFLAGS) -I include -- $(DECOMPILED) $(SOURCE) 2>/dev/null
	$(Q)cat Makefile.dep.tmp | sed 's@^src@objs/src@g;s@^decompiled@objs/decompiled@g' > Makefile.dep
	$(Q) rm -f Makefile.dep.tmp Makefile.dep.tmp.bak

depend: Makefile.dep

objs/%.o: %.c
	$(shell mkdir -p `dirname $@`)
	@echo "[Compiling] $<"
	$(Q)$(CC) $(CFLAGS) -c $< -o $@ -I include/

opendune$(EXTENSION): $(DECOMPILED_OBJS) $(SOURCE_OBJS) $(LIBEMU)
	@echo "[Linking] $@"
	$(Q)$(CC) $(LDFLAGS) -o $@ $(DECOMPILED_OBJS) $(SOURCE_OBJS) $(LIBS)

clean:
	@echo "[Cleaning] opendune"
	$(Q)rm -f Makefile.dep opendune$(EXTENSION) $(DECOMPILED_OBJS) $(SOURCE_OBJS)

FORCE:

## opendune 0.3-1maemo1

=== debian/changelog ===
opendune (0.3-1maemo1) unstable; urgency=low

  * Initial Release.

 -- Tomasz Sterna <tomek@xiaoka.com>  Tue,  1 Jun 2010 11:31:09 +0200

=== debian/control ===
Source: opendune
Section: user/games
Priority: extra
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev
Standards-Version: 3.7.2
Homepage: http://www.opendune.org/
Vcs-Git: git://github.com/smokku/opendune.git
Vcs-Browser: http://github.com/smokku/opendune

Package: opendune
Architecture: any
Depends: ${shlibs:Depends}, wget, bzip2
Description: Classic Real-Time Strategy game
 OpenDUNE is an open source re-creation of the popular game “Dune II”,
 originally made by Westwood Studios.
XSBC-Bugtracker: http://github.com/smokku/opendune/issues
XB-Maemo-Display-Name: OpenDUNE
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADOVJREFUaN7tmHusZ1dVxz9r7X0ev8d9zJ07M+3M9EUnLZSWygSQEmJb
 QkwoPiCCaFRC0ComhFcANaCIimgIJsofQIyiIEZqaFHaCoVWmqYU2gJSqC2l
 U6Yz087cmXvn3t/7PPbeyz/uzIUKJIAPJM432SfZJyfnfNda3/XYB87gDM7g
 DM7g/zPkh/HR379mr1zy1CdL3u9ZVpb4GorkqJ0jZIqmxMwibq7Hz77mL+2H
 bsAbz3EiKCyURAS35KmGrRRzffOnDOiqp1Gl9qBqNCTe9YmH7YcSgdfudtIh
 wxm842hlPxJavPln9suHrt4nf/aM5e/ZKR/6rSv1/X/4egH43If/qrjrhvdv
 f+ALf59/t+d/Z/8F8t8egX+65iJxZPzUzfc/wdNvfto2vfZNb8iWlnrdgwce
 vmzhrD2XhiK/JJVs7y72epLt6kbzubjKuyxo0zRy8OAh++IXDuqddz7KwccO
 VLPR8Xuufclz3vKm99xa/a9J6HUvvGz+l1/1muXxYHzZRU86f99cLs8y8bsD
 0k0aO65jZaTOQ2yzkJKeHIz0wa8d5tbb7tVbbvkcG4NII1iWW5P7+uhSwTsf
 PJauO/3+D16zU15+83H7gQ348s+fJ5df9+h31PVd1/3JC7K5xWf2t++6KGX5
 +d3u3HZS7NNWHW9VRpp6p40LYabRTO5/8Bvc+C93ymfuuJ/jaw1tWiDhRYrW
 ZmESO0Wc9Ghu3a7Zq+8/Ua8AvP2K7TKeRt715Q37vgz40q91xBph/wen30b+
 yP23PUXa8SudS/tjmu4UaReq2bg7JRWWS+7bifPNhFyiiiknVje4/qavcuMn
 72V9OGNUQ/IdouQkUUEhiiW0acvUrC+ovLnXzD78wJAE8OJz5/WGQ8ME4L9X
 A87asczZ7zz8BPJ2z9s6ozR37Sw8/kttbHamOOlLu15as56VcexwSdvktLBA
 oUo1cxw8PLF3v+cG+cL9DeZ6mFsEHzAXET/FiUAoDRNJyfsA/XFdvSLrL97E
 cOMkwNGhyX8pB+zLf91rwvrVITVvnNbDi0MYdxJtMauHHm3UF0iilRgNL5nF
 qhZJfe7+tzXe/b47OLQmVElJYhRFjxAE0wAuoERcUIJ4AlhKsekXbjRX+Nc9
 8tiJDwNcsdBXUcdn1wfJfz/Ev/SKp+pTXvmCK4bVgy8bh/qnq7ZZjNWkzNNq
 5vNSNVcaDVLHBkdmaToRjSJro5LbPvsw/3jTQxw4kZP8IuYGiDTUoUbwiAlE
 d8qnhpLwoiRVP55UGan41Suvet4tt3/mthNXnTdvWZv0s+uD7z0C6abfyMO2
 /qvWq/pl6+nkvkY2+h2X51pnmuelNtKhImBuYDZblbL2zDYGtKng+ltP8JFP
 PsbRUQc0Q6RGJXyzFIogp5jYFiVDEEspISJ1Sml122L/tYcOH70e4Mardrmx
 n0/6ncge/91Lvs2wdnf+B0dGK7++0mw8eartwjRWZZ1qF70K1oXaTMYDdLIi
 Uq0QwwrBz3HdLUf4h48/xMlRREUR2s0lIKLIaeYIIKeugGGAqCopJW9m3Tgc
 vvQ0n/LCypYuGMm3ET3y9t1u79sej6f3q5+4+ulNZ/n3RtXoUhG3I7myG23k
 qvq4FniLs0zatqTUDMcE54ZUbctsUvK3HzvAx+4Y0VpByzwm+SnvzzAcZg7Y
 rAtm9i3GbO3NzCSllFTdLGunj1w431z5+WOsH3jvedq2lXtCBA6+Y4d+K/nB
 Pz//qsb44416+HTC5CwbHu+FlcNe149LdzKwzmwoWb1OkW9AOEYvjtFxgmo3
 t/5rxc23zxjEgip1ieYwi5srJTDDvmWJfEc1i4igqhJTzGrc4krwVwFc+JuP
 JinGbiuJH33LXj3vLUfS6f3kky+/+PjGY28YDQeXGtlSXVWFtqopegnaUrVT
 nHoiBeM4phOMLCuoQ8adDxzio7ccZ9AuIHkAFCUgkjASJrpVAL8L8a37tgkR
 8K3v91ar8X4IN2yqrGse4OvX7tbpSrtV4z9w7baF6z7x+Vdv3yPPXCrb+V4V
 ymmdy7gpJbTRxLeysGOZ9emYugYvfQozjg2OMwuO2+88ydHRPK0rEdlAMRwC
 kjAgiSJmQMTslPZFNsV06iIip6MjZoYKmHRKNFwMMwBm9WLyD//RnOx76+Nb
 nr/rt688/6M3fuUvhisPPf0nn717oT7/rOK9tz8k+59yuTxyz30WZiYXn11y
 xf4LOXD/kLseXKeTZzx/X5dd/S5fGcDdB4S1HJyD3BbArRMJxFCCOZw3UtqG
 9z1EZsQ4JqUKlYjqprkpfVNaIoKA4KYuyGzv7oILHq/5xnKKSfe9dbTlefvU
 i5bdNv680vrHls9d2t7ZuVCsTAby7wdHsrzYJ28qOWf7POcuLXPiwGO0J8eU
 bcO+PX20hIGW3HNwnTEF6hWzBkibBVFynOuiro9JF1QxIlVTkVJClM382JwW
 OKX9LWqAePGSS2cx77Eb4JzXPRK3cmDjzcjRtaOvr3R0yY6z26UL9+wusm2i
 1UbFRfs61o6Pynw/ccEFJaXUuFlAbca+c3LOXZ7i5+a49/Epd69OmZaLIOAs
 gKbN1pQK2tAhz+fxBaQAWebJixwngaoeULcjNCVE05bntzLZDI1RU7SlOsv3
 QXPn1ixk73mtPND79AvWVw7+hFSy9JxLl4ulXlckE6L27Oeu2iZFSCxffR5L
 OxbotkpYm3F2aRQLJTuKyJHQ41MHDrFW9GicI7OAksAghERCUe1TdHZQ9jY7
 rySPV6VtKjK3hKRV2naA2WSrvG4lM+AkCD50gtPdpx3vAY4tDs4+vtZ7yXA8
 2SuPjbp+FNxJjbIRk50YzaQatfTm+jAPj09XcBOlrEuCtVTVmE6a4+sbDQ+t
 RcJcSUbCWULEEBIglGWfbUvnYtpB8oAGxVHiyCgyaOoBlQ9U9RR1/Od+gCAk
 IkIr3smFL3vx07Z95Ib71j3A7XccetLM5U9dG3Tn++PSd8cTaeqWlehkEjvk
 U8fgCIReZKoTuqFgLhRkOZSLgVQqn39ghUb75OrIwmajCjhEEipK0wZODjaQ
 rEaLCmsqJGakkEMwVFuadhXNGgRBT0nom30CQspwIGWadR+972EP4H9hqetv
 uP7u50XYO4t0O5q57akmWWLa7eOKkm7VkDcKowwpA1Xj0SZnru+p25ZpVzl0
 YkbWXcLaGQWJRj2giDhSTLTWEqsxKbaUXnDaUORQT2t87hmP1lCdgdVI2hoo
 OH1qMQynHbGQaTOZ6fpkKgB+z8W7lg6syi+uVWl34YxRyjhBYx0XJI8NvmoY
 1gU6l5HaCXNjR57DdH5G9AXLcRfDScHQH2OUjeiGPlQlTVHTZAJtDyc1KhUm
 a2T5HixuI7U9QmyItkZTj0gyQ1AkOVwykiYSRhJDiAhGlgbgM4Z0deojTMb4
 Y5l/xhcHq0/uBsVZZKaOniXpx0jXewskGbQt9bAiI9ENER9AKujZ1HaXrQxC
 pDKwEFBJmCa8GTFFRFqEBrEIMRBGAZPjOEsEqzFmeI1YbFH1qDpwtpnktjne
 CWoYIggWGjJpfJlM1wH/lYceffGqeLb7Lg5vQwuWayFJhSQqrVPmLVI7M0yY
 FwVNlN2MIiZxZY8jg1WG4km+Q5MU7zwBR5KW4AKaQJMh1iKMgRaxgFl7qk94
 1GUYQhQlKEhSFEGSYogkUzNJZjJLhSO4mGxTQq7cc2gwoc4d1jRtU7gwaJKc
 SG3RSSqaEq7owKwieN+caJM5ZyIRfN1yzs6zZdztQ0ySh81puE4REZG2EcwL
 3nJyzWiblrzIqEOLU8NpRkqKoYCeamhK3TYUYNQNueao92ZqEUmtVxk4l072
 yhgYgs+Cfm2n6IXTtqm2Zbr66GRWBZcVeVHsdWU5z3zB8cEwlotF2JhV68zq
 Js+1aVxKnlS1DFOYtr4/m2WimhnSiTFtz1ympdNUB8MZOBFKX5IQgkXUu83q
 gkCb8CpGCgmLKdc062qMXtpGrKlC07bbdm0/WY2nhyU1G95ld9TjMACQ55+7
 tPfo2rq/bPfeyfHHjzYng6sOhrr37Oc+d+fO8/Zs6/fm5b6v3huedPnl8WMf
 v6Fp10cxSjo5tz2frT3SDJ5wVr4UufowyxvGpSngJ4FmBuSqFEVJ3ulycjSh
 9YKUSttGYiXk5igdMTXTVjW2811OLAiziz2TD6ycmtz+L/2d/kHwN6/vzFks
 fGxTuzCfNy/909UGwN/7pm7npA9k+Q7f2/Ui/dLqRfzd9Tdy0dP262fuupeV
 tXVImlpWo01H+sJn/bj+yjXLTttPa8GAji5qOx00o/G47fYybSPagJA5N5/P
 OakEMcEQVByqOeqUxjUEa/EmZC7D6iYVzqUgXUZpXj3BSkeINvbRhc40BibT
 UEumsdfJfmQcfwZncAZncAb/s/gPoOT2sex55+YAAAAASUVORK5CYII=

## opendune 0.3-1maemo2

=== debian/changelog ===
opendune (0.3-1maemo2) unstable; urgency=low

  * Fail package installation if data fetch fails
  * Fixed the KP_ENTER as RETURN mapping

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu,  3 Jun 2010 02:15:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	
	# Add here commands to compile the package.
	cd libemu && $(MAKE)
	mv libemu/libemu.{a,so} ./
	$(MAKE)
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	# Add here commands to clean up after the build process.
	cd libemu && $(MAKE) clean
	-$(MAKE) clean
	rm -f libemu.{a,so}
	rm -rf objs
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# Add here commands to install the package into debian/opendune.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/opendune install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## opendune 0.3-1maemo4

=== libemu/Makefile ===
# Settings via env variables
#  CC          - Your C compiler
#  AR          - Your AR archiver
#  CFLAGS      - Your CFLAGS (we add a few we find essential)
#  LDFLAGS     - Your LDFLAGS (we add a few we find essential)
#  SDL_INCLUDE - Where to find SDL includes
#  LIBS        - Which libs to include (SDL.dll for windows)
#
# Settings via parameters
#  OSX:=1      - To compile on/for OSX
#  WIN32:=1    - To compile on/for Windows

ifdef OSX
LDFLAGS := $(LDFLAGS) -dynamiclib -Wl,-single_module
else
LDFLAGS := $(LDFLAGS) -shared
endif
ifdef WIN32
LIB_EXTENSION := .dll
CFLAGS := $(CFLAGS) -DWIN32
else
ifdef OSX
LIB_EXTENSION := .dylib
else
LIB_EXTENSION := .so
endif
CFLAGS := $(CFLAGS) -fPIC
endif
ifndef SDL_INCLUDE
ifdef OSX
SDL_INCLUDE := /opt/local/include/SDL
else
SDL_INCLUDE := /usr/include/SDL
endif
endif
ifndef LIBS
LIBS :=
endif

ifdef WIN32
LIBS := $(LIBS) -lSDL -lwinmm
endif

ifdef OSX
LIBS := $(LIBS) -lSDL -L/opt/local/lib
endif

ifdef ALSA
LIBS := $(LIBS) -lasound
CFLAGS := $(CFLAGS) -DMPU_ALSA
endif

# OpenDUNE flag: we don't need ncurses
CFLAGS := $(CFLAGS) -DWITHOUT_NCURSES

CFLAGS := $(CFLAGS) -g -Wall -Wextra -Wno-unused-parameter -Werror
CFLAGS := $(CFLAGS) -ansi -pedantic -std=gnu99
LDFLAGS := $(LDFLAGS) -g

SOURCE := $(shell ls src/*.c src/*/*.c 2>/dev/null)
SOURCE := $(SOURCE:%.c=objs/%.o)
RES := $(shell mkdir -p objs/src)

ifdef VERBOSE
	Q =
else
	Q = @
endif

all: libemu$(LIB_EXTENSION) libemu.a

objs/%.o: %.c
	$(shell mkdir -p `dirname $@`)
	@echo "[Compiling] $^"
	$(Q)$(CC) $(CFLAGS) -c $^ -o $@ -I include/ -I $(SDL_INCLUDE)

libemu$(LIB_EXTENSION): $(SOURCE)
	@echo "[Dynamic] $@"
	$(Q)$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

libemu.a: $(SOURCE)
	@echo "[Static] $@"
	$(Q)$(AR) rcs $@ $(SOURCE)

clean:
	@echo "[Cleaning] libemu"
	$(Q)rm -f libemu$(LIB_EXTENSION) libemu.a $(SOURCE)

=== debian/changelog ===
opendune (0.3-1maemo4) fremantle; urgency=low

  * Fixed RETURN key emulation

 -- Tomasz Sterna <tomek@xiaoka.com>  Fri,  4 Jun 2010 22:22:23 +0200

opendune (0.3-1maemo3) fremantle; urgency=low

  * More robust fetcher and download progress bar

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu,  3 Jun 2010 11:15:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: opendune
 Architecture: any
-Depends: ${shlibs:Depends}, wget, bzip2
+Depends: ${shlibs:Depends}, wget, bzip2, zenity
 Description: Classic Real-Time Strategy game
  OpenDUNE is an open source re-creation of the popular game “Dune II”,
  originally made by Westwood Studios.

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	
 	# Add here commands to compile the package.
 	cd libemu && $(MAKE)
-	mv libemu/libemu.{a,so} ./
-	$(MAKE)
+	mv libemu/libemu.a ./
+	STATIC=1 $(MAKE)
 	
 	touch $@
 
@@ -46,7 +46,7 @@
 	# Add here commands to clean up after the build process.
 	cd libemu && $(MAKE) clean
 	-$(MAKE) clean
-	rm -f libemu.{a,so}
+	rm -f libemu.a
 	rm -rf objs
 	
 	dh_clean

## opendune 0.3-1maemo5

=== debian/changelog ===
opendune (0.3-1maemo5) fremantle; urgency=low

  * Fn+Tap to move mouse cursor without click

 -- Tomasz Sterna <tomek@xiaoka.com>  Sat,  5 Jun 2010 09:08:34 +0200

## opendune 0.3-1maemo6

=== debian/changelog ===
opendune (0.3-1maemo6) fremantle; urgency=low

  * Update scenario.pak with fixed version

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu, 24 Jun 2010 11:34:08 +0200

## opendune 0.3-1maemo7

=== debian/changelog ===
opendune (0.3-1maemo7) fremantle; urgency=low

  * Fixed data fetcher script

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu, 24 Jun 2010 13:16:50 +0200

## opendune 0.7.2555-maemo1

=== debian/changelog ===
opendune (0.7.2555-maemo1) fremantle; urgency=low

  * Updated to 0.7.2555

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 26 Jan 2012 16:00:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: opendune
 Section: user/games
 Priority: extra
-Maintainer: Tomasz Sterna <tomek@xiaoka.com>
-Build-Depends: debhelper (>= 5), libsdl1.2-dev
+Maintainer: Tomasz Sterna <tomek@xiaoka.com>, Siim Salonen <siim.salonen@gmail.com>
+Build-Depends: debhelper (>= 5), autotools-dev, libsdl1.2-dev
 Standards-Version: 3.7.2
 Homepage: http://www.opendune.org/
-Vcs-Git: git://github.com/smokku/opendune.git
-Vcs-Browser: http://github.com/smokku/opendune
 
 Package: opendune
 Architecture: any
-Depends: ${shlibs:Depends}, wget, bzip2, zenity
+Depends: ${shlibs:Depends}, ${misc:Depends}, wget, bzip2, zenity
 Description: Classic Real-Time Strategy game
  OpenDUNE is an open source re-creation of the popular game “Dune II”,
  originally made by Westwood Studios.
-XSBC-Bugtracker: http://github.com/smokku/opendune/issues
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=54779
 XB-Maemo-Display-Name: OpenDUNE
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 #export DH_VERBOSE=1
 
 
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
 CFLAGS = -Wall -g
@@ -20,35 +24,39 @@
 	CFLAGS += -O2
 endif
 
-configure: configure-stamp
-configure-stamp:
+config.status: configure
 	dh_testdir
-	touch configure-stamp
+	# Add here commands to configure the package.
+	./configure CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-asound="0"
+	# ./configure --prefix-dir=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-asound="0"
 
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp:  config.status
 	dh_testdir
-	
+
 	# Add here commands to compile the package.
-	cd libemu && $(MAKE)
-	mv libemu/libemu.a ./
-	STATIC=1 $(MAKE)
-	
+	$(MAKE)
+	#docbook-to-man debian/opendune.sgml > opendune.1
+
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
-	
+	rm -f build-stamp 
+
 	# Add here commands to clean up after the build process.
-	cd libemu && $(MAKE) clean
-	-$(MAKE) clean
-	rm -f libemu.a
-	rm -rf objs
-	
+	-$(MAKE) distclean
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+
+
 	dh_clean 
 
 install: build
@@ -56,9 +64,9 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	
+
 	# Add here commands to install the package into debian/opendune.
-	#$(MAKE) DESTDIR=$(CURDIR)/debian/opendune install
+	# $(MAKE) prefix=$(CURDIR)/debian/opendune/usr install
 
 
 # Build architecture-independent files here.

## opendune 0.7.2555-maemo2

=== debian/changelog ===
opendune (0.7.2555-maemo2) fremantle; urgency=low

  * fixed postinst script

 -- Siim Salonen <siim.salonen@gmail.com>  Mon, 30 Jan 2012 14:53:45 +0200

## opendune 0.7.2555-maemo3

=== debian/changelog ===
opendune (0.7.2555-maemo3) fremantle; urgency=low

  * Added tar-gnu dependency

 -- Siim Salonen <siim.salonen@gmail.com>  Tue, 31 Jan 2012 11:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: opendune
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wget, bzip2, zenity
+Depends: ${shlibs:Depends}, ${misc:Depends}, wget, bzip2, zenity, tar-gnu
 Description: Classic Real-Time Strategy game
  OpenDUNE is an open source re-creation of the popular game “Dune II”,
  originally made by Westwood Studios.

## opendune 0.7.2555-maemo4

=== debian/changelog ===
opendune (0.7.2555-maemo4) fremantle; urgency=low

  * Removed tar-gnu dependency

 -- Siim Salonen <siim.salonen@gmail.com>  Wed,  1 Feb 2012 13:10:49 +0200

## opendune 0.7.2555-maemo5

=== debian/changelog ===
opendune (0.7.2555-maemo5) fremantle; urgency=low

  * Minor fixes in postinst script

 -- Siim Salonen <siim.salonen@gmail.com>  Thu,  2 Feb 2012 22:44:33 +0200

## opendune 0.7.2555-maemo6

=== debian/changelog ===
opendune (0.7.2555-maemo6) fremantle; urgency=low

  * Everything stretched to fullscreen

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 16 Feb 2012 22:33:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	./configure CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-asound="0"
-	# ./configure --prefix-dir=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-asound="0"
 
 
 build: build-stamp

## opendune 0.7.2555-maemo7

=== debian/changelog ===
opendune (0.7.2555-maemo7) fremantle; urgency=low

  * Postinst script fixed again

 -- Siim Salonen <siim.salonen@gmail.com>  Sat, 18 Feb 2012 00:22:09 +0200

## opendune 0.7.2555-maemo8

=== debian/changelog ===
opendune (0.7.2555-maemo8) fremantle; urgency=low

  * new upstream version (revision unknown)

 -- Siim Salonen <siim.salonen@gmail.com>  Wed,  5 Nov 2014 16:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Tomasz Sterna <tomek@xiaoka.com>, Siim Salonen <siim.salonen@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libsdl1.2-dev
+Build-Depends: debhelper (>= 5), quilt, autotools-dev, libsdl1.2-dev
 Standards-Version: 3.7.2
 Homepage: http://www.opendune.org/
 
 Package: opendune
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wget, bzip2, zenity, tar-gnu
+Depends: ${shlibs:Depends}, ${misc:Depends}, wget, bzip2, zenity
 Description: Classic Real-Time Strategy game
  OpenDUNE is an open source re-creation of the popular game “Dune II”,
  originally made by Westwood Studios.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -30,7 +32,7 @@
 	./configure CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-asound="0"
 
 
-build: build-stamp
+build: patch build-stamp
 
 build-stamp:  config.status
 	dh_testdir

## opendune 0.7.2555-maemo9

=== debian/changelog ===
opendune (0.7.2555-maemo9) fremantle; urgency=low

  * icon fixed

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 13 Nov 2014 14:13:29 +0200

## opendune 0.7.2555-maemo10

=== debian/changelog ===
opendune (0.7.2555-maemo10) fremantle; urgency=low

  * disable screnario file downloading (dead link)

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 23 Feb 2017 13:45:32 +0200

## opendune 0.7.2555-maemo11

=== debian/changelog ===
opendune (0.7.2555-maemo11) fremantle; urgency=low

  * postfix fixed. again.

 -- Siim Salonen <siim.salonen@gmail.com>  Sun, 05 Mar 2017 16:02:27 +0200

## opendune 0.7.2555-maemo12

=== debian/changelog ===
opendune (0.7.2555-maemo12) fremantle; urgency=low

  * another postinst fix

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 09 Mar 2017 21:40:36 +0200
